[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Sqr

Calculate the square of a value.

## Declaration

Source position: systemh.inc line 883

`function Sqr(`
`l: LongInt`
`):LongInt; function Sqr(`
`l: Int64`
`):Int64; function Sqr(`
`l: QWord`
`):QWord; function Sqr(`
`d: ValReal`
`):ValReal;`

## Description

Sqr returns the square of its argument X.

## Errors

None.

## See also

Sqrt |  | Calculate the square root of a value
Ln |  | Calculate logarithm
Exp |  | Exponentiate

## Example

    Program Example65;

    { Program to demonstrate the Sqr function. }
    Var i : Integer;

    begin
      For i:=1 to 10 do
        writeln (Sqr(i):3);
    end.